[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[m2e-users] m2e install problems on indigo

MacOS 10.6.8

~ $ java -version
java version "1.6.0_31"
Java(TM) SE Runtime Environment (build 1.6.0_31-b04-415-10M3635)
Java HotSpot(TM) 64-Bit Server VM (build 20.6-b01-415, mixed

Eclipse classic:
Eclipse SDK

Version: 3.7.2
Build id: M20120208-0800

m2e site:  http://download.eclipse.org/technology/m2e/releases

There are two boxes:
box 1:  m2e - Maven Integration for Eclipse
box 2:  m2e - slf4j over logback logging (Optional)

If both boxes clicked, I get the following message, otherwise, if I don't click the "optional" box, it just hangs.


Cannot complete the install because one or more required items could not be found.
  Software being installed: m2e - slf4j over logback logging (Optional) 1.0.100.20110804-1717 (org.eclipse.m2e.logback.feature.feature.group 1.0.100.20110804-1717)
  Missing requirement: Maven Project Model Edit Bundle 1.0.0.20110607-2117 (org.eclipse.m2e.model.edit 1.0.0.20110607-2117) requires 'bundle org.eclipse.emf.ecore 0.0.0' but it could not be found
  Missing requirement: Maven Project Model Edit Bundle 1.0.100.20110804-1717 (org.eclipse.m2e.model.edit 1.0.100.20110804-1717) requires 'bundle org.eclipse.emf.ecore 0.0.0' but it could not be found
  Missing requirement: Maven Project Model Edit Bundle 1.0.200.20111228-1245 (org.eclipse.m2e.model.edit 1.0.200.20111228-1245) requires 'bundle org.eclipse.emf.ecore 0.0.0' but it could not be found
  Cannot satisfy dependency:
    From: Maven Integration for Eclipse 1.0.0.20110607-2117 (org.eclipse.m2e.core.ui 1.0.0.20110607-2117)
    To: bundle org.eclipse.m2e.model.edit [1.0.0,1.1.0)
  Cannot satisfy dependency:
    From: Maven Integration for Eclipse 1.0.100.20110804-1717 (org.eclipse.m2e.core.ui 1.0.100.20110804-1717)
    To: bundle org.eclipse.m2e.model.edit [1.0.0,1.1.0)
  Cannot satisfy dependency:
    From: Maven Integration for Eclipse 1.0.200.20111228-1245 (org.eclipse.m2e.core.ui 1.0.200.20111228-1245)
    To: bundle org.eclipse.m2e.model.edit [1.0.0,1.1.0)
  Cannot satisfy dependency:
    From: m2e logback appender 1.0.100.20110804-1717 (org.eclipse.m2e.logback.appender 1.0.100.20110804-1717)
    To: bundle org.eclipse.m2e.core.ui [1.0.0,1.1.0)
  Cannot satisfy dependency:
    From: m2e - slf4j over logback logging (Optional) 1.0.100.20110804-1717 (org.eclipse.m2e.logback.feature.feature.group 1.0.100.20110804-1717)
    To: org.eclipse.m2e.logback.appender [1.0.100.20110804-1717]

Any thoughts appreciated.